Đến nội dung


Hình ảnh

Dùng fím tắt để gọi 1 layer


  • Please log in to reply
25 replies to this topic

#1 Theghost

Theghost

    biết dimlinear

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 31 (tàm tạm)

Đã gửi 17 November 2007 - 01:48 PM

Có bác nào biết cách dùng fím tắt để gọi 1 layer ko(chuyển giữa các layer) , mà ko phải dùng từ popup kéo xuống.
Help!!!!!!!!!!!
  • 0
Có khi nào trên đường đời tấp nập.Ta vô tình đi lướt qua nhau.Bước lơ đãng k0 ngờ đang để mất.Một tâm hồn ta đợi đã từ lâu

#2 mankin

mankin

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 November 2007 - 08:01 PM

Có bác nào biết cách dùng fím tắt để gọi 1 layer ko(chuyển giữa các layer) , mà ko phải dùng từ popup kéo xuống.
Help!!!!!!!!!!!

biết > đó là lệnh Ai_molc
  • 0

#3 Theghost

Theghost

    biết dimlinear

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 31 (tàm tạm)

Đã gửi 18 November 2007 - 11:30 PM

Trời ạ,Bác nói thế thì em biết làm thế nào
  • 0
Có khi nào trên đường đời tấp nập.Ta vô tình đi lướt qua nhau.Bước lơ đãng k0 ngờ đang để mất.Một tâm hồn ta đợi đã từ lâu

#4 Theghost

Theghost

    biết dimlinear

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 31 (tàm tạm)

Đã gửi 18 November 2007 - 11:34 PM

Lệnh này cũng ko phải, lệnh này bắt chọn đối tượng cùng layer mà mình muốn hiển thị,
thế thì đơn giản quá, ý em là muốn chuyển sang 1 Layer bất kì trong hàng chục Layer của mình cơ, chứ lệnh trên chỉ cho phép chọn Layer đã dùng thôi
  • 0
Có khi nào trên đường đời tấp nập.Ta vô tình đi lướt qua nhau.Bước lơ đãng k0 ngờ đang để mất.Một tâm hồn ta đợi đã từ lâu

#5 Theghost

Theghost

    biết dimlinear

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 31 (tàm tạm)

Đã gửi 19 November 2007 - 02:55 AM

Thôi bác Admin có thể xóa bài này của em đi được rồi
Em đã tìm ra qua lệnh Clayer của bác Hoành.
  • 0
Có khi nào trên đường đời tấp nập.Ta vô tình đi lướt qua nhau.Bước lơ đãng k0 ngờ đang để mất.Một tâm hồn ta đợi đã từ lâu

#6 cuongnam

cuongnam

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 08 January 2008 - 10:38 AM

lệnh clayer chưa phải là hay nhất, nếu bạn có lisp cad thì việc gọi lại một layer trong bản vẽ không mất đến nửa giây đâu
  • 0

#7 pikeman286

pikeman286

    biết dimdiameter

  • Members
  • PipPipPipPipPip
  • 337 Bài viết
Điểm đánh giá: 244 (khá)

Đã gửi 08 January 2008 - 10:42 AM

lệnh clayer chưa phải là hay nhất, nếu bạn có lisp cad thì việc gọi lại một layer trong bản vẽ không mất đến nửa giây đâu

Vậy sao cậu không viết cho bạn ấy cái lisp.khỏi mất công dùng lệnh clayer.
  • 0

#8 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 08 January 2008 - 10:59 AM

Vậy sao cậu không viết cho bạn ấy cái lisp.khỏi mất công dùng lệnh clayer.

Cái này nói tùm lum rồi mà. Nhưng rất hạn chế chỉ ai tạo nấy dùng thôi
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#9 pikeman286

pikeman286

    biết dimdiameter

  • Members
  • PipPipPipPipPip
  • 337 Bài viết
Điểm đánh giá: 244 (khá)

Đã gửi 08 January 2008 - 11:15 AM

Cái này nói tùm lum rồi mà. Nhưng rất hạn chế chỉ ai tạo nấy dùng thôi

Sao mà tùm lum.Mình thiết nghĩ dùng chuôt click còn nhanh hơn.
(defun C:lr (/ N)
(setq N (getint "\nnhap thu tu layer can dung:"))
(command ".clayer" N "")
)

  • 0

#10 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 08 January 2008 - 02:21 PM

Sao mà tùm lum.Mình thiết nghĩ dùng chuôt click còn nhanh hơn.

(defun C:lr (/ N)
(setq N (getint "\nnhap thu tu layer can dung:"))
(command ".clayer" N "")
)



Tùm lum nghĩa là nói ở nhiều nơi rồi.
Để giúp cho việc gỏ 1 chử thì chọn 1 layer thì dùng lisp sau nhưng phài tự gia công nhé:

(DEFUN C:tenlenh ()
(command "layer" "s" "tenlayer" "")
(princ)
)


Trong đó :
tenlenh là chử mà bạn muốn gỏ
tenlayer là ten chính xác của layer bạn muốn chuyển thành layer hiện hành

Vì nó phụ thuộc vào các layer có sẳn trong bản vẽ của bạn nên không phổ biến cho nhiều người là vì vậy
  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#11 pikeman286

pikeman286

    biết dimdiameter

  • Members
  • PipPipPipPipPip
  • 337 Bài viết
Điểm đánh giá: 244 (khá)

Đã gửi 08 January 2008 - 02:28 PM

Tùm lum nghĩa là nói ở nhiều nơi rồi.
Để giúp cho việc gỏ 1 chử thì chọn 1 layer thì dùng lisp sau nhưng phài tự gia công nhé:

(DEFUN C:tenlenh ()
(command "layer" "s" "tenlayer" "")
(princ)
)


Trong đó :
tenlenh là chử mà bạn muốn gỏ
tenlayer là ten chính xác của layer bạn muốn chuyển thành layer hiện hành

Vì nó phụ thuộc vào các layer có sẳn trong bản vẽ của bạn nên không phổ biến cho nhiều người là vì vậy

:) thì ai cũng biết thế.Nhưng khỗ quá có nhìu người cứ muốn những cái đơn giản đến mức bình thường cũng phải dùng lisp.Vậy có phải là không nên không?
  • 1

#12 Theghost

Theghost

    biết dimlinear

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 31 (tàm tạm)

Đã gửi 09 January 2008 - 09:23 PM

Lisp không nhanh đâu các bác ạ, cũng thế thôi!!!
Lisp đòi hỏi các bác phải nhớ tên lệnh để chuyển sang layer mới, có khác nào các bác đánh lệnh Clayer rồi đánh layer cần chuyển không, tôi thường vào Express tạo lệnh Clayer là 1 lệnh tắt như fím V, sau đó đặt tên các layer theo thứ tự 1,2,3
Muốn gọi 1 layer cứ chơi V-enter-1,2,3....ngon ơ
Có những thao tác không phải là dùng lisp là nhanh hơn đâu các bác ạ, trường hợp này là 1 ví dụ
  • 1
Có khi nào trên đường đời tấp nập.Ta vô tình đi lướt qua nhau.Bước lơ đãng k0 ngờ đang để mất.Một tâm hồn ta đợi đã từ lâu

#13 Jin Yong

Jin Yong

    biết lệnh group

  • Vip
  • PipPipPipPipPipPip
  • 498 Bài viết
Điểm đánh giá: 334 (khá)

Đã gửi 10 January 2008 - 08:40 AM

Lisp không nhanh đâu các bác ạ, cũng thế thôi!!!
Lisp đòi hỏi các bác phải nhớ tên lệnh để chuyển sang layer mới, có khác nào các bác đánh lệnh Clayer rồi đánh layer cần chuyển không, tôi thường vào Express tạo lệnh Clayer là 1 lệnh tắt như fím V, sau đó đặt tên các layer theo thứ tự 1,2,3
Muốn gọi 1 layer cứ chơi V-enter-1,2,3....ngon ơ
Có những thao tác không phải là dùng lisp là nhanh hơn đâu các bác ạ, trường hợp này là 1 ví dụ

Xin được gọi đây là một ý kiến thiếu sâu sắc, mặc dù phương pháp của bạn cũng là một mẹo rất hữu hiệu để làm AutoCAD thân thiện hơn.

Đây là một ví dụ khiến Lisp trở thành nhanh hơn mong muốn:

(defun c:LT ()
(Setvar "clayer" "Net-Thay")
(Command ".line")
)

Lệnh này cho phép chuyển layer sang nét thấy và gọi lệnh LINE, nghĩa là đồng thời trong một thao tác (lệnh LT) chúng ta đã chuyển layer qua NET-THAY và gọi lệnh LINE.
Ý nghĩa ở đây là gì:
- Việc bạn nhớ một lệnh rất đặc trương kiểu LT (L-T = LINE-Thấy) còn dễ dàng hơn việc bạn nhớ lệnh V, rồi tiếp theo lại nhớ thứ tự LAYER
- Đồng thời bạn gọi lệnh LINE lại rất thuận tiện

Việc nhớ một tên lệnh LISP không gây khó khăn như bạn nói, nếu tên LISP được đặt một cách ngắn gọn và khoa học, thì nhớ nó cũng chỉ như nhớ lệnh LINE hay MIRROR mà thôi :)
  • 0

Phát triển phần mềm thiết kế Kết cấu Việt Nam - http://www.ketcausoft.com


#14 duongsatdn

duongsatdn

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1657 Bài viết
Điểm đánh giá: 761 (tốt)

Đã gửi 17 January 2008 - 03:50 PM

lệnh clayer chưa phải là hay nhất, nếu bạn có lisp cad thì việc gọi lại một layer trong bản vẽ không mất đến nửa giây đâu

Tôi xin hỏi có phím tắt nào để xổ xuống danh sách các lớp không (để ta bấm chọn luôn một lớp nào đó)
  • 0

#15 Theghost

Theghost

    biết dimlinear

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 31 (tàm tạm)

Đã gửi 17 January 2008 - 04:10 PM

Tôi xin hỏi có phím tắt nào để xổ xuống danh sách các lớp không (để ta bấm chọn luôn một lớp nào đó)?

---------
Cái này đến bác Hoành chắc chắn cũng phải chịu
  • 0
Có khi nào trên đường đời tấp nập.Ta vô tình đi lướt qua nhau.Bước lơ đãng k0 ngờ đang để mất.Một tâm hồn ta đợi đã từ lâu

#16 duongsatdn

duongsatdn

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1657 Bài viết
Điểm đánh giá: 761 (tốt)

Đã gửi 18 January 2008 - 11:09 AM

---------
Cái này đến bác Hoành chắc chắn cũng phải chịu

Sao lại "chắc chắn" bác ơi!
À mà hôm nay bác Hoành đi công tác hay sao ấy nhỉ????
  • 0

#17 havanquoc

havanquoc

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 24 January 2008 - 04:42 PM

Tùm lum nghĩa là nói ở nhiều nơi rồi.
Để giúp cho việc gỏ 1 chử thì chọn 1 layer thì dùng lisp sau nhưng phài tự gia công nhé:

(DEFUN C:tenlenh ()
(command "layer" "s" "tenlayer" "")
(princ)
)


Trong đó :
tenlenh là chử mà bạn muốn gỏ
tenlayer là ten chính xác của layer bạn muốn chuyển thành layer hiện hành

Vì nó phụ thuộc vào các layer có sẳn trong bản vẽ của bạn nên không phổ biến cho nhiều người là vì vậy

cám ơn bác rất nhiều, cho em cai lisp tiện qúa! từ nay không phải dùng đến thanh công cụ nữa vì danh sách layer của công ty em nhiều quá mà chon như thế thì rất là lâu
  • 0

#18 Jin Yong

Jin Yong

    biết lệnh group

  • Vip
  • PipPipPipPipPipPip
  • 498 Bài viết
Điểm đánh giá: 334 (khá)

Đã gửi 24 January 2008 - 05:11 PM

Tôi xin hỏi có phím tắt nào để xổ xuống danh sách các lớp không (để ta bấm chọn luôn một lớp nào đó)


Người ta có thể dùng lệnh LA :)
Cũng có thể lập một LISP hoặc dvb để gọi bảng chọn layer
Vấn đề là nếu chỉ để chọn layer không thôi thì buồn quá!
  • 1

Phát triển phần mềm thiết kế Kết cấu Việt Nam - http://www.ketcausoft.com


#19 duongthanh85

duongthanh85

    biết vẽ pline

  • Members
  • PipPip
  • 60 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 24 March 2008 - 12:10 AM

Bạn có thể dùng các lệnh:
-LT: gọi layer
Sau đó make( chọn tạo layer mới), Set( đưa 1 layer đã có ra làm layer hiện hành),...

Change: để chuyển một đối tượng đã vẽ sang 1 layer khác.

Machprop: để copy định dạng của một đối tượng sang đối tượng khác.
  • 0
Dương Đình Thành


EDI.com.vn
Mobile : 0903.269.830
duongdinhthanh@edi.com.vn



Thiết kế thi công: Trạm biến áp, đường dây, cáp ngầm, hạ ngầm đường dây, điện tòa nhà, hệ điện thông minh ...

#20 designerhuyhuan

designerhuyhuan

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 28 March 2008 - 10:04 AM

Có bác nào biết cách dùng fím tắt để gọi 1 layer ko(chuyển giữa các layer) , mà ko phải dùng từ popup kéo xuống.
Help!!!!!!!!!!!



theo như lisp mình đang dùng thì lệnh LL là lệnh gọi layer ma ko cân kéo thanh layer.bạn chỉ cần đánh lệnh đó ra và kick vào một layer bạn đã có trên màn hình thi nó sẽ chuyên về layer đó
  • 0